package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/24
 */
@Data
public class ShopVo implements Serializable {
    /**
     * 供应商id
     */
    @ApiModelProperty("供应商id")
    private Integer shopId;

    /**
     * 供应商名称
     */
    @ApiModelProperty("供应商名称")
    private String name;

    /**
     * 供应商logo
     */
    @ApiModelProperty("供应商logo")
    private String logo;

    /**
     * 购物车该供应商下总价
     */
    @ApiModelProperty("购物车该供应商下总价")
    private BigDecimal shopTotalPrice;

    /**
     * 满减金额
     */
    @ApiModelProperty("满减金额")
    private BigDecimal fullReduction;

    /**
     * 前端选中状态
     */
    private boolean checked = false;

    /**
     * 供应商下商品信息
     */
    @ApiModelProperty("供应商下商品信息")
    private List<CartProductVo> productList;
}
